Bug 209250 - BUG: warning at kernel/lockdep.c:1814/trace_hardirqs_on()
BUG: warning at kernel/lockdep.c:1814/trace_hardirqs_on()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 22:19 EDT by Dave Malcolm
Modified: 2008-05-06 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:55:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (28.90 KB, text/plain)
2006-11-02 15:10 EST, Jason Edgecombe
no flags Details

  None (edit)
Description Dave Malcolm 2006-10-03 22:19:58 EDT
Description of problem:
dmesg shows the following from the boot:
Probing IDE interface ide0...
hda: FUJITSU MHU2100AT, ATA DISK drive
BUG: warning at kernel/lockdep.c:1814/trace_hardirqs_on() (Not tainted)
 [<c040567e>] show_trace_log_lvl+0x58/0x177
 [<c0405c83>] show_trace+0xd/0x10
 [<c0405cc1>] dump_stack+0x19/0x1b
 [<c043638f>] trace_hardirqs_on+0xa4/0x120
 [<c0567aa0>] try_to_identify+0x3ac/0x427
 [<c0567bd7>] do_probe+0xbc/0x1fa
 [<c0568010>] probe_hwif+0x2fb/0x7d5
 [<c0568d31>] probe_hwif_init_with_fixup+0xe/0x6a
 [<c056afd8>] ide_setup_pci_device+0x40/0x74
 [<c055d7ca>] piix_init_one+0x12/0x14
 [<c07bf7a9>] ide_scan_pcidev+0x28/0x4c
 [<c07bf7ed>] ide_scan_pcibus+0x20/0x7d
 [<c07bec0d>] ide_init+0x4b/0x68
 [<c04021cd>] init+0x191/0x315
 [<c04029b5>] kernel_thread_helper+0x5/0xb
DWARF2 unwinder stuck at kernel_thread_helper+0x5/0xb
Leftover inexact backtrace:
Inexact backtrace:
 [<c0405c83>] show_trace+0xd/0x10
 [<c0405cc1>] dump_stack+0x19/0x1b
 [<c043638f>] trace_hardirqs_on+0xa4/0x120
 [<c0567aa0>] try_to_identify+0x3ac/0x427
 [<c0567bd7>] do_probe+0xbc/0x1fa
 [<c0568010>] probe_hwif+0x2fb/0x7d5
 [<c0568d31>] probe_hwif_init_with_fixup+0xe/0x6a
 [<c056afd8>] ide_setup_pci_device+0x40/0x74
 [<c055d7ca>] piix_init_one+0x12/0x14
 [<c07bf7a9>] ide_scan_pcidev+0x28/0x4c
 [<c07bf7ed>] ide_scan_pcibus+0x20/0x7d
 [<c07bec0d>] ide_init+0x4b/0x68
 [<c04021cd>] init+0x191/0x315
 [<c04029b5>] kernel_thread_helper+0x5/0xb


Version-Release number of selected component (if applicable):
kernel-xen-2.6.18-1.2726.fc6
Comment 1 Jason Edgecombe 2006-11-02 15:10:13 EST
Created attachment 140178 [details]
dmesg output
Comment 2 Jason Edgecombe 2006-11-02 15:12:36 EST
I get a similar error in the dmesg output on RHEL5b1.

Kernel: 
# uname -r -p -i -o
2.6.17-1.2519.4.21.el5 i686 i386 GNU/Linux

message:

BUG: warning at kernel/lockdep.c:1803/trace_hardirqs_on() (Not tainted)
 [<c04051ee>] show_trace_log_lvl+0x58/0x159
 [<c04057ea>] show_trace+0xd/0x10
 [<c0405903>] dump_stack+0x19/0x1b
 [<c043aca8>] trace_hardirqs_on+0xa2/0x11e
 [<c0612653>] _spin_unlock_irq+0x22/0x26
 [<c053fd18>] rtc_get_rtc_time+0x32/0x176
 [<c0419c48>] hpet_rtc_interrupt+0x92/0x14d
 [<c0450fd0>] handle_IRQ_event+0x20/0x4d
 [<c0451091>] __do_IRQ+0x94/0xef
 [<c0406790>] do_IRQ+0xb9/0xcd
 [<c0404a49>] common_interrupt+0x25/0x2c
DWARF2 unwinder stuck at common_interrupt+0x25/0x2c
Leftover inexact backtrace:
 [<c04057ea>] show_trace+0xd/0x10
 [<c0405903>] dump_stack+0x19/0x1b
 [<c043aca8>] trace_hardirqs_on+0xa2/0x11e
 [<c0612653>] _spin_unlock_irq+0x22/0x26
 [<c053fd18>] rtc_get_rtc_time+0x32/0x176
 [<c0419c48>] hpet_rtc_interrupt+0x92/0x14d
 [<c0450fd0>] handle_IRQ_event+0x20/0x4d
 [<c0451091>] __do_IRQ+0x94/0xef
 [<c0406790>] do_IRQ+0xb9/0xcd
 [<c0404a49>] common_interrupt+0x25/0x2c
 [<c0484410>] core_sys_select+0xd7/0x2eb
 [<c0484b78>] sys_select+0x93/0x167
 [<c0403faf>] syscall_call+0x7/0xb
Comment 3 Jason Edgecombe 2006-11-02 15:14:16 EST
I forgot to mention, this is on a Dell Optiplex 745 with an ATI Radeon X1300
Video card, SATA controller, and an Intel core 2 Duo processor.
Comment 4 Glauber Costa 2006-11-17 08:25:58 EST
The RHEL kernel used is not a xen one. Maybe it's a general kernel issue ?
Comment 5 Eduardo Habkost 2007-05-24 11:50:33 EDT
Sorry, it was not supposed to change the component to kernel-xen, but just add 
me to CC. Changing it back to 'kernel'.
Comment 6 Bug Zapper 2008-04-03 14:26:16 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 20:55:55 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.